Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.skype.ipc
Class PropertyChange

    java.lang.Object
      com.skype.ipc.AbstractDecoder
          com.skype.ipc.PropertyChange

    public class PropertyChange

extends AbstractDecoder

Field Summary
`int` | `kind`
`int` | `moid`
`int` | `oid`
`int` | `propid`

Fields inherited from class com.skype.ipc.AbstractDecoder
`ioTransport, NULL_VALUE`

Method Summary
`byte[]` | `GetAsBinary(int tag)`
`boolean` | `GetAsBoolean()`
`int` | `GetAsInt()`
`java.lang.String` | `GetAsString()`
`int` | `GetKind()`
`int` | `GetOid()`
`int` | `GetPropid()`
`boolean` | `hasValue()`
`boolean` | `isValid()`

Methods inherited from class com.skype.ipc.AbstractDecoder
`decodeBinary, decodeBoolean, decodeList, decodeObjectid, decodeOneOfKind, decodeOneVaruint, decodeString, decodeVarint, decodeVaruint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### moid

    public int moid

### oid

    public int oid

### propid

    public int propid

### kind

    public int kind

Method Detail

### hasValue

    public boolean hasValue()

### isValid

    public boolean isValid()

### GetKind

    public int GetKind()

### GetOid

    public int GetOid()

### GetPropid

    public int GetPropid()

### GetAsInt

    public int GetAsInt()
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### GetAsBoolean

    public boolean GetAsBoolean()
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### GetAsString

    public java.lang.String GetAsString()
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### GetAsBinary

    public byte[] GetAsBinary(int tag)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.